---
title: "Record authenticated message status and delivery-channel evidence"
description: "Requires a valid X-Twilio-Signature; shares the primary callback handler and never sends messages."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Twilio

`POST /api/twilio/{workspaceId}/status`

Requires a valid X-Twilio-Signature; shares the primary callback handler and never sends messages.

## Path parameters

- `workspaceId` (`post/api/twilio/workspaceId/status.path.workspaceId`; string, required)

## Header parameters

- `X-Twilio-Signature` (`post/api/twilio/workspaceId/status.header.X-Twilio-Signature`; string, required)

## Request body

_Required._

- `MessageSid` (`post/api/twilio/workspaceId/status.MessageSid`; string, required)
- `MessageStatus` (`post/api/twilio/workspaceId/status.MessageStatus`; string, required)
- `From` (`post/api/twilio/workspaceId/status.From`; string, optional)
- `To` (`post/api/twilio/workspaceId/status.To`; string, optional)
- `ChannelPrefix` (`post/api/twilio/workspaceId/status.ChannelPrefix`; string, optional)
- `NumMedia` (`post/api/twilio/workspaceId/status.NumMedia`; string, optional)

## Example request

```text
{
  "MessageSid": "string",
  "MessageStatus": "string",
  "From": "string",
  "To": "string",
  "ChannelPrefix": "string",
  "NumMedia": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.channelautomation.com/api/twilio/<workspaceId>/status' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --header 'X-Twilio-Signature: string' \
  --data-urlencode MessageSid=string \
  --data-urlencode MessageStatus=string \
  --data-urlencode From=string \
  --data-urlencode To=string \
  --data-urlencode ChannelPrefix=string \
  --data-urlencode NumMedia=string
```

### TypeScript

```typescript
const encodedParams = new URLSearchParams();
encodedParams.append('MessageSid', 'string');
encodedParams.append('MessageStatus', 'string');
encodedParams.append('From', 'string');
encodedParams.append('To', 'string');
encodedParams.append('ChannelPrefix', 'string');
encodedParams.append('NumMedia', 'string');

const url = 'https://api.channelautomation.com/api/twilio/<workspaceId>/status';
const options = {
  method: 'POST',
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded',
    'X-Twilio-Signature': 'string'
  },
  body: encodedParams
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/twilio/<workspaceId>/status"

payload = {
    "MessageSid": "string",
    "MessageStatus": "string",
    "From": "string",
    "To": "string",
    "ChannelPrefix": "string",
    "NumMedia": "string"
}
headers = {
    "Content-Type": "application/x-www-form-urlencoded",
    "X-Twilio-Signature": "string"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Receipt recorded

### 401

Invalid signature

### 404

Workspace configuration missing

### 500

Receipt could not be persisted


Source: https://developer.channelautomations.com/api/post-api-twilio-workspace-id-status/index.md
